Share or unshare all assets for a specific project and asset type.
POST
/actions/projects/{project_id}/asset-types/{asset_type_id}/assets/share
curl
curl -X POST "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/asset-types/a24a6ea4-ce75-4665-a070-57453082c25/assets/share" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"is_shared": true
}'
import requests
url = "http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/asset-types/a24a6ea4-ce75-4665-a070-57453082c25/assets/share"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"is_shared": true
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/actions/projects/a24a6ea4-ce75-4665-a070-57453082c25/asset-types/a24a6ea4-ce75-4665-a070-57453082c25/assets/share' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"is_shared":true}'
Request examples
{
"is_shared": true
}
Response examples (200)
{
"updated_count": 3,
"project_id": "b35b7fb5-df86-5776-b181-68564193d36",
"asset_type_id": "c46c8gc6-eg97-6887-c292-79675204e47"
}